foreman intenal password reset for admin user failing as first task post fresh install foreman

1.12.0-0.1.RC2
Description

using Centos 7.2.1511 with Foreman 1.12.0-0.1 RC2 as a single node test box for foreman 1.12 pre-release testing with Puppet 4.

The installer is ran with the following options

foreman-installer --enable-foreman-plugin-ansible --enable-foreman-plugin-dhcp-browser --enable-foreman-plugin-docker

--enable-foreman-plugin-hooks --enable-foreman-plugin-puppetdb --enable-foreman-plugin-remote-execution

--enable-foreman-plugin-salt --enable-foreman-plugin-setup --enable-foreman-plugin-tasks --enable-foreman-plugin-templates

--enable-foreman-compute-ec2 --enable-foreman-compute-libvirt --enable-foreman-compute-openstack

--enable-foreman-compute-ovirt --enable-foreman-compute-rackspace --enable-foreman-compute-vmware

--enable-foreman-proxy-plugin-discovery --enable-foreman-proxy-plugin-dynflow --enable-foreman-proxy-plugin-pulp

--enable-foreman-proxy-plugin-remote-execution-ssh --enable-foreman-proxy-plugin-salt --foreman-configure-epel-repo

--foreman-configure-scl-repo --foreman-db-database=test_foreman --foreman-db-host=localhost --foreman-db-manage

--foreman-db-password={REMOVED] --foreman-db-username=[REMOVED] --foreman-db-type=MySQL

The aim to validate puppet 4 functionality and external compute resource functionality specifically EC2 and openstack.

After a successful install I login to the interface as the admin user with the installer generated password and proceed to change the

admin user password to something simple and easy to remember "letmein" as this is a test system.

Upon changing the password the foreman gui errors

[quote]

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at [no address given] to inform them of the time this error occurred, and the actions you

performed just before this error.

More information about this error may be available in the server error log.

[/quote]

The production.log does not capture this event as it does not appear to get that far as the problem appears to be within the apache

processing of the password change.

The error log (not foreman_error log or foreman-ssl_error log) captures the event as

App 3155 stderr: [ 2016-06-26 18:45:46.1958 3434/0x000000073b63c8(Worker 1) utils.rb:84 ]: *** Exception EOFError in Rack

application object (bad content body) (process 3434, thread 0x000000073b63c8(Worker 1)):

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/multipart/parser.rb:147:in

`get_current_head_and_filename_and_content_type_and_name_and_body'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/multipart/parser.rb:63:in `block in parse'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/multipart/parser.rb:56:in `loop'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/multipart/parser.rb:56:in `parse'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/multipart.rb:25:in `parse_multipart'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/request.rb:373:in `parse_multipart'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/request.rb:207:in `POST'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:39:in
`method_override_param'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:27:in `method_override'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:15:in `call'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in `call'

App 3155 stderr:        from

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in

`call'

App 3155 stderr:        from

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in `call'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in `call'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in `call'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in `call'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `public_send'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `method_missing'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in `block in call'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `each'

App 3155 stderr:        from /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `call'

App 3155 stderr:        from /usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

App 3155 stderr:        from /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in

`accept_and_process_next_request'

App 3155 stderr:        from /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

App 3155 stderr:        from /usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_threads'

App 3155 stderr:        from /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'

App 3155 stderr:        from /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in

`block in create_with_logging_context'

The ruby dependencies where installed by the foreman installer from SCL

Foreman installed the following ruby gems

tfm-rubygem-highline-1.6.21-5.el7.noarch

tfm-rubygem-fog-libvirt-0.2.0-1.el7.noarch

tfm-rubygem-fog-vsphere-0.7.0-1.el7.noarch

tfm-rubygem-colorize-0.7.7-4.el7.noarch

tfm-rubygem-passenger-4.0.18-9.11.el7.x86_64

tfm-rubygem-puppetdb_foreman-1.0.3-1.fm1_12.el7.noarch

tfm-rubygem-deep_cloneable-2.1.1-4.el7.noarch

tfm-rubygem-facter-2.4.0-3.el7.x86_64

tfm-rubygem-hammer_cli-0.7.0-1.el7.noarch

tfm-rubygem-audited-activerecord-4.2.0-2.el7.noarch

tfm-rubygem-fog-aws-0.9.1-1.el7.noarch

tfm-rubygem-fog-rackspace-0.1.1-1.el7.noarch

tfm-rubygem-netrc-0.7.7-7.el7.noarch

tfm-rubygem-ancestry-2.0.0-5.el7.noarch

tfm-rubygem-dynflow-0.8.11-1.fm1_12.el7.noarch

tfm-rubygem-validates_lengths_from_database-0.5.0-3.el7.noarch

tfm-rubygem-foreman_dhcp_browser-0.0.7-3.fm1_11.el7.noarch

tfm-rubygem-mysql2-0.3.19-5.el7.x86_64

tfm-rubygem-rails-i18n-4.0.8-3.el7.noarch

tfm-runtime-3.1-3.el7.x86_64

tfm-rubygem-logging-1.8.2-4.el7.noarch

tfm-rubygem-unf_ext-0.0.6-6.el7.x86_64

tfm-rubygem-rack-jsonp-1.3.1-5.el7.noarch

tfm-rubygem-domain_name-0.5.20160310-1.el7.noarch

tfm-rubygem-audited-4.2.0-1.el7.noarch

tfm-rubygem-will_paginate-3.1.0-2.el7.noarch

tfm-rubygem-net-ldap-0.14.0-1.el7.noarch

tfm-rubygem-safemode-1.2.4-2.el7.noarch

tfm-rubygem-fast_gettext-1.1.0-1.el7.noarch

tfm-rubygem-friendly_id-5.1.0-3.el7.noarch

tfm-rubygem-responders-2.1.1-1.el7.noarch

tfm-rubygem-clamp-1.0.0-5.el7.noarch

tfm-rubygem-fog-json-1.0.2-4.el7.noarch

tfm-rubygem-fog-openstack-0.1.2-1.el7.noarch

tfm-rubygem-trollop-2.0-5.el7.noarch

tfm-rubygem-fog-google-0.1.0-2.el7.noarch

tfm-rubygem-deface-1.0.2-3.el7.noarch
tfm-rubygem-daemons-1.2.3-3.el7.noarch

tfm-rubygem-apipie-params-0.0.4-4.el7.noarch

tfm-rubygem-docker-api-1.28.0-2.el7.noarch

tfm-rubygem-diffy-3.0.1-3.el7.noarch

tfm-rubygem-passenger-native-4.0.18-9.11.el7.x86_64

tfm-rubygem-foreman_ansible-0.3-1.fm1_11.el7.noarch

tfm-rubygem-foreman_docker-2.1.1-1.fm1_12.el7.noarch

tfm-rubygem-foreman_salt-5.0.1-1.fm1_12.el7.noarch

tfm-rubygem-rabl-0.12.0-2.el7.noarch

tfm-rubygem-little-plugger-1.1.3-21.el7.noarch

tfm-rubygem-net-ssh-3.0.2-2.el7.noarch

tfm-rubygem-formatador-0.2.1-9.el7.noarch

tfm-rubygem-bundler_ext-0.3.0-9.el7.noarch

tfm-rubygem-secure_headers-1.4.1-4.el7.noarch

tfm-rubygem-unf-0.1.3-5.el7.noarch

tfm-rubygem-fog-core-1.36.0-2.el7.noarch

tfm-rubygem-protected_attributes-1.1.3-3.el7.noarch

tfm-rubygem-activerecord-session_store-0.1.2-2.el7.noarch

tfm-rubygem-apipie-bindings-0.0.16-2.el7.noarch

tfm-rubygem-awesome_print-1.0.2-13.el7.noarch

tfm-rubygem-fog-xml-0.1.2-4.el7.noarch

tfm-rubygem-ruby-libvirt-0.5.2-4.el7.x86_64

tfm-rubygem-rbvmomi-1.8.2-4.el7.noarch

tfm-rubygem-fog-1.38.0-1.el7.noarch

tfm-rubygem-algebrick-0.7.3-4.el7.noarch

tfm-rubygem-hammer_cli_foreman-0.7.0-1.el7.noarch

tfm-rubygem-foreman-tasks-0.7.18-1.fm1_12.el7.noarch

tfm-rubygem-foreman_hooks-0.3.11-1.fm1_12.el7.noarch

tfm-rubygem-foreman_setup-3.1.1-1.fm1_12.el7.noarch

tfm-rubygem-scoped_search-3.2.2-4.el7.noarch

tfm-rubygem-locale-2.0.9-11.el7.noarch

tfm-rubygem-excon-0.49.0-3.el7.noarch

tfm-rubygem-ipaddress-0.8.0-9.el7.noarch

tfm-rubygem-fog-xenserver-0.2.3-1.el7.noarch

tfm-rubygem-sequel-4.20.0-5.el7.noarch

tfm-rubygem-concurrent-ruby-edge-0.2.0-4.fm1_12.el7.noarch

tfm-rubygem-oauth-0.4.7-8.el7.noarch

tfm-rubygem-foreman_chef-0.3.1-1.fm1_12.el7.noarch

tfm-rubygem-foreman_templates-2.1.0-1.fm1_12.el7.noarch

tfm-rubygem-rest-client-1.8.0-1.el7.noarch

tfm-rubygem-ruby_parser-3.6.3-4.el7.noarch

tfm-rubygem-http-cookie-1.0.2-1.el7.noarch

tfm-rubygem-ldap_fluff-0.4.3-1.el7.noarch

tfm-rubygem-table_print-1.5.1-6.el7.noarch

tfm-rubygem-gettext_i18n_rails-1.2.1-3.el7.noarch

tfm-rubygem-rbovirt-0.1.1-1.el7.noarch

tfm-rubygem-apipie-rails-0.3.6-1.el7.noarch

tfm-rubygem-parse-cron-0.1.4-2.fm1_11.el7.noarch

tfm-rubygem-wicked-1.1.0-4.el7.noarch

tfm-rubygem-git-1.2.5-7.el7.noarch

tfm-rubygem-passenger-native-libs-4.0.18-9.11.el7.x86_64

tfm-rubygem-foreman_remote_execution-0.3.2-2.fm1_12.el7.noarch

tfm-rubygem-sexp_processor-4.4.4-3.el7.noarch

tfm-rubygem-net-scp-1.1.0-6.el7.noarch

tfm-rubygem-rails-observers-0.1.2-7.el7.noarch

tfm-rubygem-ruby2ruby-2.1.3-4.el7.noarch

Related issues:

Is duplicate of Foreman - Bug #14346: New Template  feature does not work wit... Resolved

History

#1 - 06/27/2016 03:10 AM - Dominic Cleal

- Is duplicate of Bug #14346: New Template  feature does not work with firefox 45.0 added

#2 - 06/27/2016 03:11 AM - Dominic Cleal

- Status changed from New to Duplicate
Thanks for the report, I believe this is another instance of bug #14346 (or more specifically, #14918 which describes the same error as you see).

Try opening the page in a new tab rather than using the right hand pane, and it should then work, or try another browser.

#3 - 06/27/2016 07:29 AM - Matt Darcy

This was with internet explorer 11 on windows 10 - not firefox, while the symptoms are the same I don't think this is the same as it's not firefox at all

#4 - 06/27/2016 07:35 AM - Dominic Cleal

#13997 reports the same issue happening on IE 10 and above, it doesn't seem to affect only Firefox.
